Groovy Documentation

## org.vertx.groovy.core.sockjs
[Groovy] Class SockJSServer

    java.lang.Object
      org.vertx.groovy.core.sockjs.SockJSServer

    abstract class SockJSServer

This is an implementation of the server side part of SockJS

SockJS enables browsers to communicate with the server using a simple WebSocket-like api for sending and receiving messages. Under the bonnet SockJS chooses to use one of several protocols depending on browser capabilities and what apppears to be working across the network.

Available protocols include:

- WebSockets
- xhr-polling
- xhr-streaming
- json-polling
- event-source
- html-file

This means, it should just work irrespective of what browser is being used, and whether there are nasty things like proxies and load balancers between the client and the server.

For more detailed information on SockJS, see their website.

On the server side, you interact using instances of SockJSSocket - this allows you to send data to the client or receive data via the SockJSSocket#dataHandler#dataHandler.

You can register multiple applications with the same SockJSServer, each using different path prefixes, each application will have its own handler, and configuration as described by JsonObject

Authors:
  Tim Fox

Field Summary
`protected JSockJSServer` | `jServer`

Method Summary
`void` | `bridge(java.util.Map sjsConfig, java.util.List inboundPermitted = [[:]], java.util.List outboundPermitted = [[:]], long authTimeout = * 1000, java.lang.String authAddress = null)` Install an app which bridges the SockJS server to the event bus.
`void` | `installApp(java.util.Map config, groovy.lang.Closure sockHandler)` Install an application

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### jServer

    protected JSockJSServer jServer

Method Detail

### bridge

    void bridge(java.util.Map sjsConfig, java.util.List inboundPermitted = [[:]], java.util.List outboundPermitted = [[:]], long authTimeout = * 1000, java.lang.String authAddress = null)

  Install an app which bridges the SockJS server to the event bus.
  Parameters:
    `sjsConfig` - The config for the app
    `permitted` - A list of JSON objects which define inboundPermitted matches
    `authAddress` - The address of an authentication/authorisation busmod
    `bridgeAddress` - The address the bridge will listen at for login and lougout.

### installApp

    void installApp(java.util.Map config, groovy.lang.Closure sockHandler)

  Install an application
  Parameters:
    `config` - The application configuration
    `sockHandler` - A handler that will be called when new SockJS sockets are created

Groovy Documentation